package example.ws.matcher;

import java.net.URI;
import java.io.BufferedWriter;
import java.io.OutputStreamWriter;
import java.util.Properties;

import javax.jws.WebService;

import org.semanticweb.owl.align.Alignment;
import org.semanticweb.owl.align.AlignmentException;
import org.semanticweb.owl.align.AlignmentVisitor; 
import org.semanticweb.owl.align.Cell;

import eu.sealsproject.omt.ws.matcher.AlignmentWS;
import fr.inrialpes.exmo.align.impl.renderer.RDFRendererVisitor;

// you might like to change the name of this class according to
// your matcher, e.g. FalconWS, LilyWS, TaxomapWS or ...
// do not change the specification of the endpoint-interface in the annotation
@WebService(endpointInterface="eu.sealsproject.omt.ws.matcher.AlignmentWS") 
public class MyAlignmentWS extends MyAlignment implements AlignmentWS {

	public String align(URI source, URI target) {
		System.out.println("Trying to match");
		System.out.println("\tSource: " + source);
		System.out.println("\tTarget: " + target);
		// variant 1:
		// working without Alignment API you have to snure that your
		// matcher generates the correct output and returns it in a string
		
		// variant 2: using the alignment API
		// see MyAlignment for how to generate correspondences
		try {
			for (Object c: this.getArrayElements().toArray()) {
				this.remCell((Cell)c);
			} 
			init(source,target);
			align((Alignment)null, new Properties());
			SBWriter sbWriter = null;
			try {
				sbWriter = new SBWriter(new BufferedWriter(new OutputStreamWriter( System.out, "UTF-8" )), true);
				AlignmentVisitor renderer = new RDFRendererVisitor(sbWriter);
				render(renderer);
				String alignment = sbWriter.toString();
				return alignment;
			} catch(Exception e) {
				e.printStackTrace();
			}
		} catch (AlignmentException e) {
			e.printStackTrace();
		}
		return null;
	}

}
