/*
 * $Id: OntologyNetworkGenerator.java 1607 2011-05-21 16:54:24Z euzenat $
 *
 * Copyright (C) INRIA, 2011
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA.
 */

package fr.inrialpes.exmo.align.gen;

import org.semanticweb.owl.align.OntologyNetwork;

import fr.inrialpes.exmo.ontowrap.Ontology;

import java.util.Properties;

/**
 * OntologyNetworkGenerator
 *
 * An interface for generating an ontology network from an ontology or an ontology generator.
 *
 */

public interface OntologyNetworkGenerator {

    /**
     * Returns an ontology network of size n (the number of ontologies)
     * starting from an ontology o.
     * Parameters may further specify the requirements.
     */
    public OntologyNetwork generate( int n, Ontology o, Properties params );

    /**
     * Returns an ontology network of size n (the number of ontologies)
     * with ontologies generated by the generator g.
     * Parameters may further specify the requirements.
     */
    //public OntologyNetwork generate( int n, OntologyGenerator o, Properties params );

}

